<EntityClassDefinition.Mining_Modules_Passive_Rieger_MK2 __id="369d2b1b-d42e-41b4-aff4-74de9712ab68" __path="libs/foundry/records/entities/scitem/ships/utility/mining/misc/mining_modules_passive_rieger_mk2.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SCItemPurchasableParams __type="DataForgeComponentParams" __polymorphicType="SCItemPurchasableParams" allowQuickBuy="0" allowTryOn="0" defaultAttachToPortName="" Display="None" displayName="@item_Mining_Modules_Passive_Rieger_MK2" displayThumbnail="" displayType="@ui_Mining_Consumables" interactionPointTemplate="00000000-0000-0000-0000-000000000000" tryOnInteractionText="@LOC_EMPTY">
      <disabledLoadoutInteractions />
    </SCItemPurchasableParams>
    <SARDataComponentParams __type="DataForgeComponentParams" __polymorphicType="SARDataComponentParams" dataType="ShopItem" description="@LOC_EMPTY" labelMovementType="Fixed" labelZOrientationOffset="0.0" rangeMax="5.0" rangeMin="1.0" scaleCapDistance="10.0" subtitle1="@LOC_EMPTY" subtitle2="@LOC_EMPTY" title1="@item_Mining_Modules_Passive_Rieger_MK2" title2="@item_Mining_Modules_Passive_Rieger_MK2_Desc" visibleThroughWalls="1">
      <labelAttachOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <labelScale __type="Vec3" x="1.0" y="1.0" z="1.0" />
      <queryOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
    </SARDataComponentParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="1.5" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="Mining Modifiers" Grade="1" inheritParentManufacturer="0" Manufacturer="ab35f85f-919f-4457-8d58-4e885ea6c5c0" RequiredTags="miningConsumable" Size="1" SubType="Gun" Tags="miningConsumable miningMount" Type="MiningModifier">
        <inventoryOccupancyDimensions __type="Vec3" x="0.20234699547290802" y="0.2902367115020752" z="0.16405460238456726" />
        <inventoryOccupancyDimensionsUIOverride __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="7708" />
        <Localization __type="SCItemLocalization" Description="@item_Mining_Modules_Passive_Rieger_MK2_Desc" Name="@item_Mining_Modules_Passive_Rieger_MK2" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/buildingsets/human/universal/prop/mining/mining_consumable_pl02_optimal_a.cgf" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="Objects/buildingsets/human/universal/prop/mining/mining_consumable_optimal_1_a.mtl" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="1" FirstInteractionPrimary="0" HelperName="root" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="2.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="0" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="1" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="1" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="1" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="1" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="0" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="0" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" Interaction="None" IsPrimary="0" />
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions />
      </Interactable>
    </SEntityInteractableParams>
    <EntityComponentAttachableModifierParams __type="DataForgeComponentParams" __polymorphicType="EntityComponentAttachableModifierParams" activationInteraction="None" activationMethod="ActivateOnAttach" canInterrupt="0" charges="1" deactivationInteraction="None" icon="UI/Textures/Vector/General/CommonIcons/icon_mining_rieger.svg" isInterruptible="0">
      <modifiers>
        <ItemMiningModifierParams __type="LifetimeControlledItemModifierParams" __polymorphicType="ItemMiningModifierParams" modifierLifetime="None">
          <MiningLaserModifier __type="MiningLaserModifiers" catastrophicChargeWindowRateModifier="None" isOptimalRateGood="1" laserInstability="None" optimalChargeWindowRateModifier="None" resistanceModifier="0.05000000074505806" shatterdamageModifier="None" showResistanceInUI="1">
            <optimalChargeWindowSizeModifier __type="FloatModifier" __polymorphicType="FloatModifierMultiplicative" showInUI="1" value="8.0" />
          </MiningLaserModifier>
        </ItemMiningModifierParams>
      </modifiers>
    </EntityComponentAttachableModifierParams>
    <SPersistentComponentParams __type="DataForgeComponentParams" __polymorphicType="SPersistentComponentParams" />
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" materialEffects="None" soundEffects="None" uiOwnerEffects="None">
        <particleEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_ParticleCategory" allowMultipleTags="1" enabled="1">
          <tagEffects />
          <triggerEffects />
        </particleEffects>
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" networkAuthority="Server" StateTypeName="ItemModifierState">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="CanUse">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions />
            <stateTags __type="TagList">
              <tags 1c848896-2a2b-4a99-bd37-2710f16f9015="1c848896-2a2b-4a99-bd37-2710f16f9015" />
            </stateTags>
          </DefaultState>
          <StateModifiers>
            <SAttachableItemModifierStateModifier __type="SStateModifier" __polymorphicType="SAttachableItemModifierStateModifier">
              <hasChargesState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="CanUse" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </hasChargesState>
              <inUseState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="InUse">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions />
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </inUseState>
              <noChargesState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Depleted">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions />
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </noChargesState>
            </SAttachableItemModifierStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="CanUse" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="InUse" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Depleted" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
          </States>
        </SInteractionStateType>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" networkAuthority="Server" StateTypeName="PowerStateParent">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Offline">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions />
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers>
            <PowerConnectionStateModifier __type="AttachableStateModifierBase" __polymorphicType="PowerConnectionStateModifier">
              <context __type="AttachableStateModifierContextBase" __polymorphicType="AttachableStateModifierContext_Immediate_Parent" />
              <failed __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Offline" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </failed>
              <normal __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Online">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions>
                  <SInteractionStateTransition __type="SInteractionStateTransition" Interaction="None" NextState="None" />
                </Interactions>
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </normal>
              <off __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Offline" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </off>
              <warning __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Online" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions>
                  <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                </Interactions>
              </warning>
            </PowerConnectionStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Offline" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Online" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" networkAuthority="Server" StateTypeName="IsParentInMiningMode">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions />
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers>
            <OperatorModeStateModifier __type="AttachableStateModifierBase" __polymorphicType="OperatorModeStateModifier" scanning="None">
              <combat __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </combat>
              <context __type="AttachableStateModifierContextBase" __polymorphicType="AttachableStateModifierContext_Immediate_Parent" />
              <inactive __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </inactive>
              <mining __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsMining">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions>
                  <SInteractionStateTransition __type="SInteractionStateTransition" Interaction="None" NextState="None" />
                </Interactions>
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </mining>
              <quantumNavigation __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </quantumNavigation>
              <refuel __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </refuel>
              <turret __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </turret>
            </OperatorModeStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsMining" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsNotMining" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <SCInteractionStateGameplayTriggerComponentParams __type="DataForgeComponentParams" __polymorphicType="SCInteractionStateGameplayTriggerComponentParams">
      <onInteractionFailedTriggers />
      <onInteractionStateChangeTriggers>
        <SOnInteractionStateChangeTriggers __type="SOnInteractionStateChangeTriggers">
          <gameplayTriggers>
            <SSetHealthGameplayTrigger __type="SBaseInteractionGameplayTrigger" __polymorphicType="SSetHealthGameplayTrigger">
              <Health __type="TriggeredHealth" __polymorphicType="TriggeredHealthValue" healthValue="0.0" />
            </SSetHealthGameplayTrigger>
          </gameplayTriggers>
          <targetState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Depleted" stateTags="structInstance_TagList_props:1">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <exitStateEffectTags />
            <Interactions />
          </targetState>
        </SOnInteractionStateChangeTriggers>
        <SOnInteractionStateChangeTriggers __type="SOnInteractionStateChangeTriggers">
          <gameplayTriggers>
            <SHintGameplayTrigger __type="SBaseInteractionGameplayTrigger" __polymorphicType="SHintGameplayTrigger">
              <hintTrigger __type="SHintActivator" __polymorphicType="SItemUserHintActivator" hint="ConsumableMiningConsumableUsed" />
            </SHintGameplayTrigger>
          </gameplayTriggers>
          <targetState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="InUse" stateTags="structInstance_TagList_props:1">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <exitStateEffectTags />
            <Interactions />
          </targetState>
        </SOnInteractionStateChangeTriggers>
        <SOnInteractionStateChangeTriggers __type="SOnInteractionStateChangeTriggers">
          <gameplayTriggers>
            <SHintGameplayTrigger __type="SBaseInteractionGameplayTrigger" __polymorphicType="SHintGameplayTrigger">
              <hintTrigger __type="SHintActivator" __polymorphicType="SItemUserHintActivator" hint="ConsumableMiningConsumableExpired" />
            </SHintGameplayTrigger>
          </gameplayTriggers>
          <targetState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="CanUse" stateTags="structInstance_TagList_props:1">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <exitStateEffectTags />
            <Interactions />
          </targetState>
        </SOnInteractionStateChangeTriggers>
        <SOnInteractionStateChangeTriggers __type="SOnInteractionStateChangeTriggers">
          <gameplayTriggers>
            <SHintGameplayTrigger __type="SBaseInteractionGameplayTrigger" __polymorphicType="SHintGameplayTrigger">
              <hintTrigger __type="SHintActivator" __polymorphicType="SItemUserHintActivator" hint="ConsumableFirstMiningWithConsumablesEquipped" />
            </SHintGameplayTrigger>
          </gameplayTriggers>
          <targetState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="IsMining" stateTags="structInstance_TagList_props:1">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <exitStateEffectTags />
            <Interactions>
              <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
            </Interactions>
          </targetState>
        </SOnInteractionStateChangeTriggers>
      </onInteractionStateChangeTriggers>
      <onInteractionSuccessTriggers />
    </SCInteractionStateGameplayTriggerComponentParams>
    <SHealthComponentParams __type="SBaseHealthComponentParams" __polymorphicType="SHealthComponentParams" ClientOnly="0" DeathExplosionParams="None" DebrisGeometryTag="" DestroyedGeometryTag="" DetachFromEntityOnDeath="0" DetachFromItemPortOnDeath="1" ExplodedGeometryTag="" ExplosionBone="" ExplosionDelayTime="0.0" ExplosionRandomDelayRange="0.0" Health="1.0" InitialDamage="None" IsRepairable="1" IsSalvagable="1" PropagateExplosionDamageToChildren="0" PushDamageUpPartsHeirarchyWhenDead="0" UnlockInteractionsOnDeath="0" UseDirtShaderForDamage="0">
      <DamageResistances __type="DamageResistanceBase" __polymorphicType="DamageResistance">
        <BiochemicalResistance __type="DamageResistanceEntry" Multiplier="0.0" Threshold="0.0" />
        <DistortionResistance __type="DamageResistanceEntry" Multiplier="0.0" Threshold="0.0" />
        <EnergyResistance __type="DamageResistanceEntry" Multiplier="0.0" Threshold="0.0" />
        <PhysicalResistance __type="DamageResistanceEntry" Multiplier="0.0" Threshold="0.0" />
        <StunResistance __type="DamageResistanceEntry" Multiplier="0.0" Threshold="0.0" />
        <ThermalResistance __type="DamageResistanceEntry" Multiplier="0.0" Threshold="0.0" />
      </DamageResistances>
      <DeathGasComposition />
      <HealthLevelStates />
      <InteractionLocks />
    </SHealthComponentParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports />
    </SItemPortContainerComponentParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="1" />
  </Components>
  <StaticEntityClassData>
    <DefaultEntitlementEntityParams __type="EntityClassStaticDataParams" __polymorphicType="DefaultEntitlementEntityParams" canEntitleThroughWebsite="0" entitlementPolicy="6df1749c-48ea-43e5-bae5-8084d9fe5aca" />
    <SEntityInsuranceProperties __type="EntityClassStaticDataParams" __polymorphicType="SEntityInsuranceProperties" restoreOnClaim="0">
      <shipInsuranceParams __type="ShipInsuranceParams" baseExpeditingFee="333" baseWaitTimeMinutes="33.33000183105469" mandatoryWaitTimeMinutes="3.3299999237060547" shipEntityClassName="" />
    </SEntityInsuranceProperties>
  </StaticEntityClassData>
  <tags afb1a7e4-b2ce-4801-ad67-1de1663e67e2="afb1a7e4-b2ce-4801-ad67-1de1663e67e2" />
</EntityClassDefinition.Mining_Modules_Passive_Rieger_MK2>